Subject: Re: Help for the git patch with "---"

From: Philippe Blain <[email-masked]>
Date: Thu, 25 Feb 2021 08:14:38 -0500

Hi Dyrone,

[CC-ing the list]

Le 2021-02-25 à 04:36, 滕龙 a écrit :
> Oh, I reviewed the PR ((link: https://github.com/git/git/pull/745 <https://github.com/git/git/pull/745>)),  maybe I got the point of it.
> 
> It's caused by the first comment I leave on the PR,  so every new patch will attach it to the maillist.

Exactly. The first comment on the PR (the PR description) is used
as a cover letter for multi-patch series, and in the case of one-patch
series like yours is now, it is inserted as an "in-patch commentary", i.e.
it is added below the '---' line as you found out.

> 
> I decide to remove it from the PR.
> 
> So, did I deal the right way this time?

Well, if you are sending a subsequent version of your patch series,
this space is usually used to summarize in words what
has changed since the last version of the patch series.
For example, for your v4 you could have written:

Changes since v3:
- Improved <that> following comment from <insert reviewer name>
- Reworded the commit message
- etc.

This is a explained in the MyFirstContribution tutorial [1]. I would
encourage you to do that if your series needs a v5 (I haven't read it yet).
It's also a way to make sure that you modified your patch to account
for all feedback you got in earlier iterations.

> Thank you
> -dyrone

One last thing: most people prefer not to be emailed directy, but instead
to be CC-ed on an email you send to the mailing list ([email-masked]).
You have much better chance of receiving an answer this way, as anybody who
reads the mailing list will see your message and might take the time to answer.

Cheers,

Philippe.

[1] https://git-scm.com/docs/MyFirstContribution#responding-ggg